﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/17 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;
using System.Text;

namespace Simple
{
   class Program
   {
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/17 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {  
         WIDBUtil DBUtil;
         StringBuilder StrB,StrR;
         CDatabaseInfo DBInfo;
         
         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         StrB = new StringBuilder();

         /* Create Connection To Database */
         DBUtil = new WIDBUtil(DBInfo);

         /* Build the select statement based on DatabaseType */
         switch (DBUtil.DatabaseType)
            {
            /* Since syntax is the same for each type just collapse the cases */
            case eDatabaseType.SQL:               
            case eDatabaseType.MySql:
            case eDatabaseType.SQLite:
               StrB.Append("SELECT AddressID,Address1,Address2,City,State,ZipCode FROM tblAddress;");
            break;

            case eDatabaseType.None:
               return;
            }

         /* Column list with IDs as guide for readrow() */
         /*
         0  AddressID 
         1  Address1
         2  Address2
         3  City
         4  State
         5  ZipCode
         */

         /* Set the command to be the SQL statement created above */
         DBUtil.CommandText = StrB.ToString();

         /* Open the Connection */
         DBUtil.Open();

         Console.WriteLine("| AddressID | Address1 | Address2 | City | State | Zip |");

         /* Loop thru the returned records */
         while (DBUtil.ReadRow())
            {
            StrR = new StringBuilder();
            /* DBUtil.Read* obtains the value at the column index for that type  */
            StrR.AppendFormat("| {0} ", DBUtil.ReadInt(0));
            StrR.AppendFormat("| {0} ", DBUtil.ReadString(1));
            StrR.AppendFormat("| {0} ", DBUtil.ReadString(2));
            StrR.AppendFormat("| {0} ", DBUtil.ReadString(3));
            StrR.AppendFormat("| {0} ", DBUtil.ReadString(4));
            StrR.AppendFormat("| {0} |", DBUtil.ReadString(5));

            Console.WriteLine(StrR.ToString());
            }

         /* Good practice to colse the connection when finished */
         DBUtil.Close();                  
      }
   }/* End Class */
}/* End NameSpace */
