﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/17 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;
using System.Text;

namespace Create
{
   class Program
   {
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/17 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {  
         WIDBUtil DBUtil;
         StringBuilder StrB;
         CDatabaseInfo DBInfo;
         
         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         StrB = new StringBuilder();

         /* Create Connection To Database */
         DBUtil = new WIDBUtil(DBInfo);

         /* Build the select statement based on DatabaseType */
         switch (DBUtil.DatabaseType)
            {            
            case eDatabaseType.SQL:               
               StrB.Append("CREATE TABLE tblAddress (");
               StrB.Append("AddressID INT IDENTITY(1,1) NOT NULL, ");
               StrB.Append("Address1 NCHAR(255) NULL, ");
               StrB.Append("Address2 NCHAR(255) NULL, ");
               StrB.Append("City NCHAR(255) NULL, ");
               StrB.Append("State NCHAR(255) NULL, ");
               StrB.Append("ZipCode NCHAR(12) NULL, ");
               StrB.Append("CONSTRAINT PK_Address PRIMARY KEY CLUSTERED ");
               StrB.Append("  ( ");
               StrB.Append("	AddressID ASC ");
               StrB.Append("  )) ");
            break;
            
            case eDatabaseType.MySql:
               StrB.Append("CREATE TABLE tblAddress (");
               StrB.Append("AddressID INT NOT NULL AUTO_INCREMENT, ");
               StrB.Append("Address1 CHAR(255) NULL, ");
               StrB.Append("Address2 CHAR(255) NULL, ");
               StrB.Append("City CHAR(255) NULL, ");
               StrB.Append("State CHAR(255) NULL, ");
               StrB.Append("ZipCode CHAR(12) NULL, ");
               StrB.Append("CONSTRAINT PK_Address PRIMARY KEY CLUSTERED ");
               StrB.Append("  ( ");
               StrB.Append("	AddressID ASC ");
               StrB.Append("  )) ");
            break;

            case eDatabaseType.SQLite:
               StrB.Append("CREATE TABLE tblAddress1 (");
               StrB.Append("AddressID INTEGER PRIMARY KEY AUTOINCREMENT, ");
               StrB.Append("Address1 TEXT, ");
               StrB.Append("Address2 TEXT, ");
               StrB.Append("City TEXT, ");
               StrB.Append("State TEXT, ");
               StrB.Append("ZipCode TEXT) ");
            break;

            case eDatabaseType.None:
               return;
            }         

         /* Open the Connection */
         DBUtil.Open();

         /* execute the statement against the DB in a transaction */
         if (!DBUtil.ExecuteTransaction(StrB.ToString()))
            Console.WriteLine("Table tblAddress Created");
         else
            {
            Console.WriteLine(string.Format("Failed to create table tblAddress\nLastError = {0}\n{1}",DBUtil.LastError.ToString(), DBUtil.LastErrorMessage));
            DBUtil.Close();
            return;
            }

         /* Good practice to colse the connection when finished */
         DBUtil.Close();                  
      }
   }/* End Class */
}/* End NameSpace */
