﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/18 TPR Created
*******************************************************************************/
using System;
using System.Collections.ObjectModel;
using Wiker.WIDatabase;

namespace Simple
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/18 TPR Created
   *******************************************************************************/
   class Program
   {
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/18 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {
         WIDatabase WIDB;
         string Str;
         CDatabaseInfo DBInfo;
         Collection<CCondition> Conditions;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         /* Create WIDatabase object */
         WIDB = new WIDatabase(DBInfo);
               
         /* Calling Delete.Clear() ensures we are starting a new statement. */
         WIDB.Delete.Clear();
                  
         /* Delete.Table([tableName]) indicates the table which will have data removed */
         WIDB.Delete.Table("tblAddress");

         /* Delete.Condition: conditional clause to select data which will be removed. */
         Conditions = new Collection<CCondition>();
         Conditions.Add(new CCondition("City",eOperator.Equal,"York"));
         Conditions.Add(new CCondition(eLogic.AND));
         Conditions.Add(new CCondition("State",eOperator.Equal,"PA"));
         Conditions.Add(new CCondition(eLogic.AND));
         Conditions.Add(new CCondition("Address1",eOperator.Equal,"15 Virologis Rd"));

         WIDB.Delete.Condition(Conditions);

         /* Delete.Execute() deletes the data. */
         if (!WIDB.Delete.Execute())
            Str = string.Format("Failed to delete record(s).\nLastError = {0}\n{1}",WIDB.LastError.ToString(), WIDB.LastErrorMessage);            
         else
            Str = "Deleted records";
         
         /* Good practice is to close the DB when finished */
         WIDB.Close();

         Console.WriteLine(Str);
      }
   }/* End Class */
}/* End NameSpace */

